<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;


function cm_createdform () {
  global $cm_text, $cm_docpath;
  global $cm_title, $cm_directory, $cm_path, $cm_keywords, $cm_abstract, $cm_content, $cm_uowner, $cm_gviewer;
  global $user_kurz, $user_group, $timezone, $groups, $langua;
  if (!$cm_path)
  {
    $cm_path = "/";
  }
  $cm_pub_date = fcm_curdate_string ();
  echo "<form action=\"create.php\" method=\"post\">";
  $cm_authornames = fcm_user_names ($user_kurz);
  echo "<strong>{$cm_text["author"]}:</strong> " . htmlentities ($cm_authornames[1] . " " . $cm_authornames[2]) . "<br>
  <input type=\"hidden\" name=\"cm_uauthor\" value=\"$user_kurz\">
  <strong>{$cm_text["owner"]}:</strong>";
  if (!$cm_uowner) { $cm_uowner = $user_kurz; }
  echo "<select name='cm_uowner'>";
  $result3 = db_query("select kurz, vorname, nachname from users order by upper(nachname)") or db_die();
  while ($row3 = db_fetch_row($result3)) {
    echo "<option value='$row3[0]'";
    if ($cm_uowner == $row3[0]) { echo " selected"; }
    echo ">" . htmlentities ($row3[2] . ", " . $row3[1]) . "\n";
  }
  echo "</select><BR>";
  echo "<strong>{$cm_text["visibleto"]}:</strong>";
  $cm_defgroup = fcm_default_group ();
  if (!$cm_gviewer) { $cm_gviewer = $cm_defgroup[0]; }
  echo "<select name='cm_gviewer'>";
  echo "<option value=''>\n";
  if ($groups) {
    $result3 = db_query("select kurz, name from gruppen order by upper(name)") or db_die();
    while ($row3 = db_fetch_row($result3)) {
      echo "<option value='$row3[0]'";
      if ($cm_gviewer == $row3[0]) { echo " selected"; }
      echo ">" . htmlentities ($row3[1]) . "\n";
    }
  }
  echo "</select><br>";
  echo "<strong>{$cm_text["creation"]}:</strong> $cm_pub_date<br>
  <input type=\"hidden\" name=\"cm_pub_date\" value=\"$cm_pub_date\"><br>
  <strong>{$cm_text["title"]}:</strong><br>
  <input type=\"text\" name=\"cm_title\" size=\"80\" maxlength=\"255\" value=\"$cm_title\"><br>
  <strong>{$cm_text["directory"]}:</strong><br>
  $cm_path";
  if ($cm_path <> "/") { echo "/"; }
  echo "<input type=\"text\" name=\"cm_directory\" size=\"20\" maxlength=\"255\" value=\"$cm_directory\"><br>
  <input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\"><br>
  <strong>{$cm_text["keywords"]}:</strong><br>
  <textarea cols=\"100\" rows=\"2\" name=\"cm_keywords\">$cm_keywords</textarea><br>
  <strong>{$cm_text["summary"]}:</strong><br>
  <textarea cols=\"100\" rows=\"2\" name=\"cm_abstract\">$cm_abstract</textarea><br>
  <strong>{$cm_text["content"]}:</strong> ({$cm_text["dontusehtml"]} <a href=\"$cm_docpath/$langua.edithelp.php\" target=\"_blank\">{$cm_text["awmvariant"]}</a>).<br>
  <textarea cols=\"100\" rows=\"20\" name=\"cm_content\">$cm_content</textarea><br>
  <input type=\"submit\" name=\"cm_create\" value=\"{$cm_text["createdoc"]}\">
  <input type=\"submit\" name=\"cm_preview\" value=\"{$cm_text["preview"]}\">
  </form>\n
  ";
}

$cm_directory = str_replace (" ", "_", $cm_directory);
$cm_directory = str_replace ("\\", "_", $cm_directory);
$cm_directory = str_replace ("/", "_", $cm_directory);
$cm_fullpath = $cm_path . "/" . $cm_directory;
$cm_fullpath = str_replace ("//", "/", $cm_fullpath);
$cm_fullpath = strtolower ($cm_fullpath);
$cm_directory = strtolower ($cm_directory);

if ((strlen ($cm_fullpath) > 1) && (substr ($cm_fullpath, -1) ==   "/")) {
  $cm_fp = substr ($cm_fullpath, 0, -1);
}
else {
  $cm_fp = $cm_fullpath;
}
$result1 = db_query("select cmdb_title, cmdb_directory, cmdb_content, cmdb_type from content3 where cmdb_directory like '$cm_fp' and cmdb_type like '%p%'") or db_die();
$row1 = db_fetch_row($result1);
if ((($cm_fullpath == "/") || ($row1[1] <> "")) && (($cm_create) || ($cm_preview))) {
  if (fcm_check_constraints (CM_SEC_CREATE, $user_kurz, $cm_path)) {
    $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
    fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], false);
    fcm_message ($cm_text["direxist_tryagain"], CM_MSGSTYLE_ERROR);
    cm_createdform ();
  }
  else {
    fcm_title_nav2 ("", false, false, false, false, false, false);
    fcm_message ($cm_text["needaccess2create"], CM_MSGSTYLE_WARNING);
  }
}
else {
  if (fcm_check_constraints (CM_SEC_CREATE, $user_kurz, $cm_path)) {
    if (!$cm_create) {
      $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
      fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], false);
      if (get_magic_quotes_gpc ()) {
        $cm_title = stripslashes ($cm_title);
        $cm_keywords = stripslashes ($cm_keywords);
        $cm_abstract = stripslashes ($cm_abstract);
        $cm_content = stripslashes ($cm_content);
      }
      cm_createdform ();
      echo "<p>&nbsp;</p><TABLE BORDER=\"1\" CELLPADDING=\"5\" CELLSPACING=\"0\"><TR><TD>";
      echo fcm_process_markup ($cm_content, $cm_fullpath);
      echo "</TD></TR></TABLE>";
    }
    else {
      if (@mkdir ($cm_mainroot . $cm_fullpath, 0777)) {
        $cm_pppos = strrpos ($cm_fullpath, "/");
        if ($cm_pppos == 0) {
          $cm_parentpath = "/";
        }
        else {
          $cm_parentpath = substr ($cm_fullpath, 0, $cm_pppos);
        }
        if ($cm_title) {
          $cm_title = htmlentities ($cm_title);
        }
        else {
          $cm_title = fcm_unspecialchars ($cm_text["untitled"]);
        }
        $cm_keywords = htmlentities ($cm_keywords);
        $cm_abstract = htmlentities ($cm_abstract);
        if ($cm_content) {
          $cm_content = htmlentities ($cm_content);
        }
        else {
          $cm_content = htmlentities ("#INDEX#");
        }
        $cm_pub_date = fcm_curdate_string ();
        $result2 = db_query("insert into content3 values($dbIDnull,'p','$cm_fullpath','$cm_parentpath','$cm_title','$user_kurz',null,'$cm_uowner',null,null,'$cm_gviewer',null,null,'$cm_pub_date','$cm_pub_date','$cm_keywords','$cm_abstract','$cm_content')") or db_die();
        $cm_validops = fcm_check_validops ($user_kurz, $cm_fullpath);
        fcm_title_nav2 ($cm_fullpath, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], false);
        fcm_message ("{$cm_text["doccreatedin"]} $cm_fullpath.", CM_MSGSTYLE_INFORMATION);
      }
      else {
        $cm_validops = fcm_check_validops ($user_kurz, $cm_path);
        fcm_title_nav2 ($cm_path, $cm_validops[CM_SEC_CREATE], $cm_validops[CM_SEC_DELETE], $cm_validops[CM_SEC_CHANGE], $cm_validops[CM_SEC_DISPLA], $cm_validops[CM_SEC_COMMEN], false);
        fcm_message ($cm_text["errorcreatingdir"], CM_MSGSTYLE_ERROR);
        cm_createdform ();
      }
    }
  }
  else {
    fcm_title_nav2 ("", false, false, false, false, false, false);
    fcm_message ($cm_text["needaccess2create"], CM_MSGSTYLE_WARNING);
  }
}


echo $cm_html_footer;
?>

