<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$file = "editsec";
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;


function fcm_bool2chk ($cm_BoolVar) {
  if ($cm_BoolVar) {
    return ("CHECKED");
  }
  else {
    return ("");
  }
}


if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
  echo "<p><strong>{$cm_text["rtsec-welcomert"]}</strong></p>";
  echo "<p>{$cm_text["rtsec-welcomert2"]} {$cm_text["rtsec-impossibleops"]}</p>";
  if ($cm_restore_sec) {
    fcm_load_defsec ($cm_security);
    echo "<p><strong>{$cm_text["rtsec-rtsec_restored"]}</strong></p>";
  }
  elseif ($cm_save_sec) {
    for ($cm_csop = 1; $cm_csop <= 5; $cm_csop++)  {
      for ($cm_csob = 1; $cm_csob <= 2; $cm_csob++)  {
        for ($cm_csro = 1; $cm_csro <= 5; $cm_csro++)  {
          eval ("\$cm_security[\$cm_csop][\$cm_csob][\$cm_csro] = \$cm_sec_" . $cm_csob . "_" . $cm_csop . "_" . $cm_csro . ";");
        }
      }
    }
    fcm_save_secdb ($cm_security);
    $cm_rtsec_tot = fcm_load_secdb ($cm_security);
    echo "<p><strong>{$cm_text["rtsec-rtsec_saved"]}</strong></p>";
    if ($cm_rtsec_tot == 0) {
      echo "<p><strong>{$cm_text["rtsec-rtsec_restored"]}</strong></p>";
    }
  }
  else {
    $cm_rtsec_tot = fcm_load_secdb ($cm_security);
    echo "<p><strong>{$cm_text["rtsec-current_rtsec"]}</strong></p>";
    if ($cm_rtsec_tot == 0) {
      echo "<p><strong>{$cm_text["rtsec-rtsec_restored"]}</strong></p>";
    }
  }

if ($groups) { 
  $cm_ngsec_color = "#EEEEEE";
} 
else { 
  $cm_ngsec_color = "#FFCCCC";
}

?>

<form action="editsec.php" method="post">
<table border="0" cellspacing="2" cellpadding="5" bgcolor="#FFFFFF">
<tr>
	<td colspan="6" bgcolor="#99CC99" align="center"><h3><?=$cm_text["rtsec-inrootdir"]?></h3></td>
</tr>
<tr>
	<td align="center"><?=$cm_text["rtsec-ifuseris"]?></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-cancreate"]?></strong></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-candelete"]?></strong></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-candisplay"]?></strong></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-canedit"]?></strong></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-canpost"]?></strong></td>
</tr>
<tr>
	<td bgcolor="#9999FF" align="right"><strong><?=$cm_text["rtsec-isuperuser"]?></strong></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_1_1_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_SUPERUSER])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_2_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_SUPERUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_1_4_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_SUPERUSER])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_3_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_SUPERUSER])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_5_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_SUPERUSER])?>></td>
</tr>
<tr>
	<td bgcolor="#AAAAFF" align="right"><strong><?=$cm_text["rtsec-isowner"]?></strong></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_1_1_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_USEROWNER])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_2_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_USEROWNER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_1_4_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_USEROWNER])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_3_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_USEROWNER])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_5_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_USEROWNER])?>></td>
</tr>
<tr>
	<td bgcolor="#BBBBFF" align="right"><strong><?=$cm_text["rtsec-isadmingroup"]?></strong></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_1_1_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_ADMINGROU])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_2_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_ADMINGROU])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_1_4_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_ADMINGROU])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_3_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_ADMINGROU])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_5_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_ADMINGROU])?>></td>
</tr>
<tr>
	<td bgcolor="#CCCCFF" align="right"><strong><?=$cm_text["rtsec-isingroup"]?></strong></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_1_1_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_USERGROUP])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_2_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_USERGROUP])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_1_4_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_USERGROUP])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_3_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_USERGROUP])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_5_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_USERGROUP])?>></td>
</tr>
<tr>
	<td bgcolor="#DDDDFF" align="right"><strong><?=$cm_text["rtsec-isadmin"]?></strong></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_1_1_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_ADMINUSER])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_2_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_ADMINUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_1_4_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_ADMINUSER])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_3_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_ADMINUSER])?>></td>
	<td bgcolor="#FFCCCC" align="center"><input type="checkbox" name="cm_sec_1_5_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_ADMINUSER])?>></td>
</tr>
<tr>
	<td colspan="6" bgcolor="#99CC99" align="center"><h3><?=$cm_text["rtsec-inanysdir"]?></h3></td>
</tr>
<tr>
	<td align="center"><?=$cm_text["rtsec-ifuseris"]?></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-cancreate"]?></strong></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-candelete"]?></strong></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-candisplay"]?></strong></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-canedit"]?></strong></td>
	<td bgcolor="#CCCCFF" align="center" width="15%"><strong><?=$cm_text["rtsec-canpost"]?></strong></td>
</tr>
<tr>
	<td bgcolor="#9999FF" align="right"><strong><?=$cm_text["rtsec-isuperuser"]?></strong></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_1_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_SUPERUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_2_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_SUPERUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_4_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_SUPERUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_3_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_SUPERUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_5_1" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_SUPERUSER])?>></td>
</tr>
<tr>
	<td bgcolor="#AAAAFF" align="right"><strong><?=$cm_text["rtsec-isowner"]?></strong></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_1_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_USEROWNER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_2_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_USEROWNER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_4_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_USEROWNER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_3_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_USEROWNER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_5_5" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_USEROWNER])?>></td>
</tr>
<tr>
	<td bgcolor="#BBBBFF" align="right"><strong><?=$cm_text["rtsec-isadmingroup"]?></strong></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_1_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_ADMINGROU])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_2_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_ADMINGROU])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_4_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_ADMINGROU])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_3_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_ADMINGROU])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_5_3" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_ADMINGROU])?>></td>
</tr>
<tr>
	<td bgcolor="#CCCCFF" align="right"><strong><?=$cm_text["rtsec-isingroup"]?></strong></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_1_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_USERGROUP])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_2_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_USERGROUP])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_4_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_USERGROUP])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_3_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_USERGROUP])?>></td>
	<td bgcolor="<?=$cm_ngsec_color?>" align="center"><input type="checkbox" name="cm_sec_2_5_4" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_USERGROUP])?>></td>
</tr>
<tr>
	<td bgcolor="#DDDDFF" align="right"><strong><?=$cm_text["rtsec-isadmin"]?></strong></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_1_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_ADMINUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_2_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_ADMINUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_4_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_ADMINUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_3_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_ADMINUSER])?>></td>
	<td bgcolor="#EEEEEE" align="center"><input type="checkbox" name="cm_sec_2_5_2" value="1" <?=fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_ADMINUSER])?>></td>
</tr>
</table>
<br>
<input type="submit" name="cm_save_sec" value="<?=$cm_text["rtsec-savetable"]?>">
<input type="submit" name="cm_restore_sec" value="<?=$cm_text["rtsec-restoretable"]?>">
</form>
<?
}
else {
    echo "<p><strong>{$cm_text["rtsec-welcomert"]}</strong></p>";
    echo "<p><strong>{$cm_text["rtsec-nosuperuserrt"]}</strong></p>";
}
echo "<hr>";
echo "<form action=\"cm_dbcreate.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_createdb\" value=\"{$cm_text["setup-createdb"]}\">";
echo "</form>";
echo "<form action=\"setup.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_createdir\" value=\"{$cm_text["setup-createdir"]}\">";
echo "</form>";
echo "<form action=\"editsec.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_editsec\" value=\"{$cm_text["setup-editsec"]}\">";
echo "</form>";
echo "<form action=\"$path_pre\cm\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_gotocmhome\" value=\"{$cm_text["setup-gotocmhome"]}\">";
echo "</form>";
echo "<form action=\"$path_pre\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_gotohome\" value=\"{$cm_text["setup-gotohome"]}\">";
echo "</form>";
echo "<form action=\"setup.php\" method=\"post\">";
echo "<input type=\"submit\" name=\"cm_retrysetup\" value=\"{$cm_text["setup-retry"]}\">";
echo "</form>";

echo $cm_html_footer;
?>



