<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;


fcm_title_nav2 ($cm_path, false, false, false, false, false, false);

$cm_totalvisits = "";
$cm_totaldirs = "";
$cm_updatevisits = "";
$cm_updatedirs = "";


$result2 = db_query("select sum(cmdb_totalhits), sum(cmdb_updatehits) from cmhits3 where cmdb_type like '%p%'") or db_die();
$row2 = db_fetch_row($result2);


echo "<h3>{$cm_text["totalvisits"]}</h3>";
$result1 = db_query("select cmdb_directory, cmdb_totalhits, cmdb_type from cmhits3 where cmdb_type like '%p%' order by cmdb_totalhits desc") or db_die();
echo "<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\">\n";
echo "<TR><TD width=\"100%\">{$cm_text["directory"]}</TD><TD>{$cm_text["visits"]}</TD><TD>{$cm_text["percent"]}</TD></TR>\n";
$cm_currecord = 0;
while (($row1 = db_fetch_row($result1)) && ($cm_currecord < $cm_max_statlist)) {
  $cm_totalvisits .= round ($row1[1] / ($row2[0] / 100)) . ",";
  $cm_totaldirs .= $row1[0] . ",";
  echo "<TR><TD>";
  echo $row1[0];
  echo "</TD><TD align=\"center\">";
  echo $row1[1];
  echo "</TD><TD align=\"center\">";
  echo round ($row1[1] / ($row2[0] / 100)) . "%";
  echo "</TD></TR>\n";
  $cm_currecord++;
}
echo "</table>\n";

if ($cm_enable_gd) {
  echo "<p><a href=\"graphpie.php?values=" . substr ($cm_totalvisits, 0, -1) . "&series=" . substr ($cm_totaldirs, 0, -1) . "&size=400&title=" . urlencode ($cm_text["totalvisits"]) . "\"><img src=\"graphpie.php?values=" . substr ($cm_totalvisits, 0, -1) . "&series=" . substr ($cm_totaldirs, 0, -1) . "&size=400&title=" . urlencode ($cm_text["totalvisits"]) . "\" border=\"0\" width=\"400\" height=\"400\"></a></p>\n";
}


echo "<h3>{$cm_text["sinceupdatevisits"]}</h3>";
$result3 = db_query("select cmdb_directory, cmdb_updatehits, cmdb_type from cmhits3 where cmdb_type like '%p%' order by cmdb_updatehits desc") or db_die();
echo "<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\">";
echo "<TR><TD width=\"100%\">{$cm_text["directory"]}</TD><TD>{$cm_text["visits"]}</TD><TD>{$cm_text["percent"]}</TD></TR>";
$cm_currecord = 0;
while (($row3 = db_fetch_row($result3)) && ($cm_currecord < $cm_max_statlist)) {
  $cm_updatevisits .= round ($row3[1] / ($row2[1] / 100)) . ",";
  $cm_updatedirs .= $row3[0] . ",";
  echo "<TR><TD>";
  echo $row3[0];
  echo "</TD><TD align=\"center\">";
  echo $row3[1];
  echo "</TD><TD align=\"center\">";
  echo round ($row3[1] / ($row2[1] / 100)) . "%";
  echo "</TD></TR>\n";
  $cm_currecord++;
}
echo "</table>";

if ($cm_enable_gd) {
  echo "<p><a href=\"graphpie.php?values=" . substr ($cm_updatevisits, 0, -1) . "&series=" . substr ($cm_updatedirs, 0, -1) . "&size=400&title=" . urlencode ($cm_text["sinceupdatevisits"]) . "\"><img src=\"graphpie.php?values=" . substr ($cm_updatevisits, 0, -1) . "&series=" . substr ($cm_updatedirs, 0, -1) . "&size=400&title=" . urlencode ($cm_text["sinceupdatevisits"]) . "\" border=\"0\" width=\"400\" height=\"400\"></a></p>\n";
}


$cm_totaldowns = "";
$cm_totalfiles = "";

$result2 = db_query("select sum(cmdb_totalhits) from cmhits3 where cmdb_type like '%f%'") or db_die();
$row2 = db_fetch_row($result2);

echo "<h3>{$cm_text["filehits"]}</h3>";
$result1 = db_query("select cmdb_directory, cmdb_totalhits, cmdb_type from cmhits3 where cmdb_type like '%f%' order by cmdb_totalhits desc") or db_die();
echo "<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\">\n";
echo "<TR><TD width=\"100%\">{$cm_text["directory"]}</TD><TD>{$cm_text["visits"]}</TD><TD>{$cm_text["percent"]}</TD></TR>\n";
$cm_currecord = 0;
while (($row1 = db_fetch_row($result1)) && ($cm_currecord < $cm_max_statlist)) {
  $cm_totaldowns .= round ($row1[1] / ($row2[0] / 100)) . ",";
  $cm_totalfiles .= $row1[0] . ",";
  echo "<TR><TD>";
  echo $row1[0];
  echo "</TD><TD align=\"center\">";
  echo $row1[1];
  echo "</TD><TD align=\"center\">";
  echo round ($row1[1] / ($row2[0] / 100)) . "%";
  echo "</TD></TR>\n";
  $cm_currecord++;
}
echo "</table>\n";

if ($cm_enable_gd) {
  echo "<p><a href=\"graphpie.php?values=" . substr ($cm_totaldowns, 0, -1) . "&series=" . substr ($cm_totalfiles, 0, -1) . "&size=400&title=" . urlencode ($cm_text["filehits"]) . "\"><img src=\"graphpie.php?values=" . substr ($cm_totaldowns, 0, -1) . "&series=" . substr ($cm_totalfiles, 0, -1) . "&size=400&title=" . urlencode ($cm_text["filehits"]) . "\" border=\"0\" width=\"400\" height=\"400\"></a></p>\n";
}


echo $cm_html_footer;
?>

